<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="Goals" />
<meta property="og:description" content="Make your webseries. Better. Faster. Now" />
<meta property="og:type" content="website" />
<meta property="og:url" content="http://www.guerillashowrunner.com/tags/goals/" />


<meta property="og:updated_time" content="2011-04-06T16:14:44&#43;00:00"/>










<meta itemprop="name" content="Goals">
<meta itemprop="description" content="Make your webseries. Better. Faster. Now">










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="goals/index.html">

    <title>Guerilla Showrunner</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    
    <!-- RSS 2.0 feed -->
    <link href="goals/index.xml" rel="alternate" type="application/rss+xml" title="Guerilla Showrunner" />
    

    

    

    

  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>

    <div class="blog-masthead">
      <div class="container">
        <nav class="nav blog-nav">
          <a class="nav-link " href="../index.html">Home</a>
          
          
          <a class="nav-link" href="../how-to-webpage/how-to-webpage/index.html">The Complete Guide To Setting Up Your Webseries Webpage</a>
          
          <a class="nav-link" href="../consulting/consulting/index.html">Consulting</a>
          
          <a class="nav-link" href="../crazed-stalkers-free/crazed-stalkers-free/index.html">Get More Crazed Stalkers - the free course</a>
          
          <a class="nav-link" href="../about/about/index.html">About / Contact</a>
          
          
        </nav>
      </div>
    </div>

    <header class="blog-header">
      <div class="container">
        <h1 class="blog-title"><a href="../index.html" rel="home">Guerilla Showrunner</a></h1>
        <p class="lead blog-description">Make your webseries. Better. Faster. Now</p>
      </div>
    </header>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          





<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="../2011/04/the-complete-guide-to-setting-up-your-webseries-webpage-part-2/index.html">The Complete Guide To Setting Up Your Webseries Webpage, Part 2</a></h2>
    <p class="blog-post-meta"><time datetime="2011-04-06T16:14:44Z">Wed Apr 6, 2011</time> by admin in 
<i class="fa fa-folder" aria-hidden="true"></i>&nbsp;<a href="../categories/hard-information.html" rel="category tag">Hard Information</a>


<i class="fa fa-tag" aria-hidden="true"></i>&nbsp;<a href="design.html" rel="tag">design</a>, <a href="goals.html" rel="tag">goals</a>, <a href="plugins.html" rel="tag">plugins</a>, <a href="seo.html" rel="tag">seo</a>, <a href="themes.html" rel="tag">themes</a>, <a href="thesis.html" rel="tag">thesis</a>, <a href="website.html" rel="tag">website</a>, <a href="wordpress.html" rel="tag">wordpress</a>

</p>
  </header>
  <p>Other parts of this series : <a href="http://guerillashowrunner.com/how-to-webpage/">The Complete Guide to Setting Up Your Webseries Webpage</a></p>

<p>Welcome back, one and all! In the last part of this monster guide to putting together a Web series Webpage, we ran through the building blocks of your site - what it needs to do, what you don&rsquo;t need to do, and the basic engines and host for your site.</p>

<p>You could build a Web series site perfectly happily just using the resources from Part 1. But in Part 2, we&rsquo;ll look at all the stuff you need to polish your site up and make it shine - make it pretty, make it usable, make it immune to traffic surges, and make it easily findable by people and search engines alike.</p>

<p></p>

<h2 id="wordpress-plugins-what-you-need-and-what-you-don-t">Wordpress Plugins - what you need and what you don&rsquo;t</h2>

<p>The beauty of Wordpress is its extensibility. You can find a plugin to do almost anything with the &lsquo;press.</p>

<p>The disadvantage of that extensibility is that it&rsquo;s very easy to try to do everything. And plugins aren&rsquo;t free. Each one loads a bit of extra code into Wordpress, usually slowing it down at least a bit - sometimes a lot.</p>

<p>So if you&rsquo;re not careful, loading a million plugins into the Press can leave you with a site that loads so slowly you can cook a meal before you view the front page.</p>

<p>Any time you add a new plugin, it&rsquo;s worth reloading the page a bunch of times, or using some benchmarking software if you have it, to check that the site still runs fast enough for you. Some plugins are MUCH worse than others, and will slow your site to a crawl.</p>

<p>However, some plugins are just essential. In my opinion, you definitely need:</p>

<p><a href="https://wordpress.org/extend/plugins/hyper-cache/">HyperCache</a>. By default, Wordpress rebuilds each page as visitors view them and serves them up when it&rsquo;s finished. That&rsquo;s fine if you&rsquo;ve only got a few people viewing the spike, but as soon as, say, your Web series hits the front page of Reddit, the strain of having to repeatedly rebuild the same pages will take your website down faster than being an non-Caucasian guy carrying electronics in the London Underground. A caching plugin means that Wordpress doesn&rsquo;t have to do all that work - instead, the first time Wordpress builds a page, it saves that page and then serves it up to all subsequent visitors who load the same page. <a href="http://www.tutorial9.net/tutorials/web-tutorials/wordpress-caching-whats-the-best-caching-plugin/">This test showed</a> that HyperCache, the best of the bunch, speeded a Wordpress site up by more than 10 times.</p>

<p><a href="http://www.arnebrachhold.de/projects/wordpress-plugins/google-xml-sitemaps-generator/">Google Sitemap Generator</a>. You want the Big G to be able to index all your pages as fast and efficiently as possible. A lot of that is taken care of with the Thesis theme, below, but one thing Thesis doesn&rsquo;t do is generate a sitemap - a complete list of every page on your site, all nicely indexed for Google to pick up and run with. Hence, this plugin. It&rsquo;s very simple, it&rsquo;ll automatically let Google (and Bing, if you care) know about your series, and it improves your chance of random people finding your page.</p>

<p><a href="http://www.myvirtualdisplay.com/wordpress-projects/include_html/">Include HTML</a>. You need this plugin for one very specific reason - if you don&rsquo;t have it, it&rsquo;s very hard to use the YouTube -&gt; Google Analytics hack I talked about a couple of weeks ago. Since being able to get precise details on how far through your videos fans are watching is, quite frankly, the best thing since we stopped having to use Actual Film, you want this, you want it bad, and you want it now.</p>

<p><a href="http://help.tweetmeme.com/2009/04/06/wordpress-plugin/">Tweetmeme button</a>. There&rsquo;s no shortage of argument as to what the best social media plugins to use with Wordpress are - some people will advocate great big things that allow you to share on any of 45 different social media sites, whilst others, like me, would prefer to suggest a simple one or two choices. I&rsquo;m currently recommending Tweetmeme because it&rsquo;s used by some very smart, plugged-in people, and because a good bit of research in everything from restaurant design to cognitive theory suggests that the more choices you give your viewer, the less likely they actually are to take an action. Hence, give them 40 social media sites, they&rsquo;ll bookmark you on none of them. Give them one (or perhaps two if you can find a decent Facebook plugin - personally I haven&rsquo;t yet) choice, and you&rsquo;ll get more results.</p>

<p>That&rsquo;s it!</p>

<h2 id="a-few-plugins-you-don-t-need">A few plugins you DON&rsquo;T need</h2>

<p><strong>SEO plugin</strong> <a href="https://wordpress.org/extend/plugins/all-in-one-seo-pack/">All-In-One SEO</a> is the big dog here. If you&rsquo;re using the Thesis theme, which I recommend (below), all your Search Engine Optimisation is already done for you, and you don&rsquo;t need this (frankly rather clunky) plugin. If you decide to roll your own theme or use a free one, you probably will need this plugin, though.</p>

<p><strong>YouTube plugin</strong> There are a number of plugins out there perporting to make your YouTube embedding easier in Wordpress. I don&rsquo;t recommend them because a) it&rsquo;s not like it&rsquo;s hard to begin with (Copy, Paste, Done), and b) if you use them you can&rsquo;t use the YouTube-&gt;Analytics stuff.</p>

<h2 id="and-some-that-are-up-to-you">And some that are up to you</h2>

<p><strong>Related Posts plugin or other blogging-specific plugins</strong> Top Tags, Related Posts, and similar things tend to get recommended in any article on Wordpress plugins. For a Web series, I&rsquo;d skip them - Related Posts doesn&rsquo;t make much sense for a drama series, and you&rsquo;re likely not going to be tagging extensively. If you&rsquo;re producing a non-drama info series, they might be of more use - however, be aware that Relateed Posts plugins in particular can be a bit heavy on the server (although they do give a nice SEO boost).</p>

<p><strong>Most Popular Post plugin</strong> Again, depends on the series you&rsquo;re making. If you&rsquo;re doing something that can be watched non-sequentially, you might well get some utility out of a plugin that allows you to display your most popular episodes - research indicates it can boost the chances of a viewer staying around on your page. I&rsquo;ve only just tested one of these myself, but currently it appears that <a href="http://alexking.org/projects/wordpress/readme?project=popularity-contest">Popularity Contest</a> is pretty good.</p>

<p><strong>Contact form</strong>. There are two reasons I don&rsquo;t use a contact form on this or any site. One, I just like email - I prefer it as a user to those very anonymous contact forms that you always suspect just get routed straight to the circular filing cabinet (ie the bin). And two, believe it or not, there appear not to be any good contact form plugins for Wordpress that don&rsquo;t cost the earth. I might want a contact form, but I&rsquo;m not paying <a href="http://www.gravityforms.com/purchase-gravity-forms/">$39 for one</a>.</p>

<h2 id="what-to-do-with-these-plugins">What To Do With These Plugins</h2>

<p>Installing plugins in Wordpress is pretty easy. Download the plugin (normally as a .zip file), unzip it, and then, when the time comes to upload onto your server, upload each plugin&rsquo;s directory into /wp_content/plugins.</p>

<p>Then activate them through the Wordpress control panel.</p>

<h2 id="theme-thesis">Theme: Thesis</h2>

<p>As you may have realised by now, I&rsquo;m not a big fan of spending money where I don&rsquo;t have to. However, I AM a big fan of spending money where I do have to.</p>

<p>You&rsquo;ve set up the functionality of your site, or most of it, by now, but you&rsquo;ll soon see that the default Wordpress design is kinda ugly and not well suited to a web series. Hence, you&rsquo;ll need to customise the look of Wordpress - and the way to do that is through a &ldquo;theme&rdquo;.</p>

<p>Go have a Google on &ldquo;Wordpress Theme&rdquo;. There are a LOT of them. There are even thousands of free ones.</p>

<p>So why the hell am I advising you to buy not just a Wordpress theme, but one that&rsquo;s decidedly not cheap ($87)?</p>

<p>Because it will save you a LOOOOOT of pain and hassle.</p>

<p>Thesis is, for starters, extremely customisable, and 95% of the customisation is through menus and drop-down lists. Most other Wordpress themes require you to edit CSS (Cascading Style Sheets), usually with no documentation, to achieve the look you want, and often aren&rsquo;t very flexible or easy to use whilst you&rsquo;re doing so. I&rsquo;m very proficient with CSS and HTML - I&rsquo;ve been designing websites since long before the former existed - and I still prefer using Thesis, because having the customisation options cuts hours at a time off my development.</p>

<p>There&rsquo;s also a very active user community for the theme, meaning that answers to obscure questions are a quick Google away - again, as opposed to J Random Free Theme, where you might well be the only person using it seriously.</p>

<p>And it&rsquo;s highly optimised for speed (notice this blog&rsquo;s kinda fast?) and Search Engine Optimisation, meaning you don&rsquo;t have to learn anything much about that particularly arcane playground.</p>

<p>So - you&rsquo;ll need to buy Thesis. Once you&rsquo;ve got it, you&rsquo;ll need to unzip it and upload it to the wp_content/themes directory of your website. From there, you can select it from the Wordpress Themes panel - and when you do, you&rsquo;ll find you have an absolute ton of options to choose from, a place to upload your logo, lots of ways to change how the site operates, and so on.</p>

<p>I&rsquo;m going to recommend some design and operation settings in the third part of this series, but they&rsquo;re just suggestions. You can design however you feel will best achieve your goals for the site.</p>

<h2 id="domain-name">Domain Name</h2>

<p>You&rsquo;re probably wondering why I haven&rsquo;t talked about a domain name yet.</p>

<p>You can buy yourself a domain at pretty much any time during this process, via whichever host you&rsquo;ve chosen. Once you&rsquo;ve bought it, it will take a couple of days to become available for use, so earlier is better. Personally, because domains are so cheap (approx $10 for 2 years) I tend to purchase a domain as soon as I think of a project, well before I get to actually creating it - the Guerilla Showrunner domain, for example, was sitting around for 2 years before I started writing here.</p>

<p>I&rsquo;d still recommend a .com domain if you possibly can. Other TLDs (Top Level Domains - .com, .net, .co.uk, etc) are available, but your audience will assume you&rsquo;re a .com unless you make a really big point otherwise - and that&rsquo;ll lose you viewers if you&rsquo;ve actually chosen a .tv or similar.</p>

<p>Unless you&rsquo;re doing something very complicated yourself, setting your domain up to point to your website will be very simple, and will be handled by your web host. It&rsquo;s worth noting that both Dreamhost and NFS.net (see <a href="http://guerillashowrunner.com/2011/04/the-complete-guide-to-setting-up-your-web-series-webpage-part-1">Part 1</a>) will also provide you a temporary domain to work on the site even if you don&rsquo;t have a domain name yet - so you can easily get your site set up and happy before buying a domain.</p>

<p>You&rsquo;ll also want email for your domain name - <a href="../cdn-cgi/l/email-protection.html" class="__cf_email__" data-cfemail="b7ded9d1d8f7dacec0d2d5c4d2c5ded2c499d4d8da">[email&#160;protected]</a>, etc. Now, you can run an &ldquo;email server&rdquo; on the same machine as your website, but - and I speak from experience here, having done it for many years - that way lies a pain in the ass so royal I think it&rsquo;s having a wedding in London this month.</p>

<p>If your website goes down and you&rsquo;re hosting email on that machine, you can&rsquo;t get your email. Yes, your WEBSITE crashing means your email stops working. This Is Not Good.</p>

<p>Worse, any email anyone sends you will bounce. You&rsquo;ll be panicking and running around from the moment it drops - or worse, from when you realise it&rsquo;s been down for six hours and you&rsquo;ve lost the mail from your sponsors you had to reply to NOWNOWNOW.</p>

<p>Instead, I&rsquo;d recommend setting up <a href="https://www.google.com/apps/intl/en/group/index.html">a free account on Google Apps</a> and running your domain&rsquo;s email through that. It&rsquo;s very user-friendly, and it&rsquo;s extremely reliable. Even better than that, its reliability is totally out of your hands, so you don&rsquo;t have to worry about it at all. I&rsquo;ve been running all my domains this way for years, and I&rsquo;m very happy with the results.</p>

<h2 id="google-analytics">Google Analytics</h2>

<p>You need to know what&rsquo;s happening with your website. It&rsquo;s as simple as that. You need to know how many people are coming to see your show, from where, when, why, and how much of it they&rsquo;re watching.</p>

<p>For that, you need to sign up to <a href="http://www.guerillashowrunner.com/tags/goals/www.google.com/analytics">Google Analytics</a>. There are other analytics programs out there, but Google&rsquo;s one is free, very usable, and stable as hell.</p>

<p>Once you&rsquo;ve signed up, it&rsquo;ll give you simple instructions to add your first domain. Thesis already has a dedicated section in its setup for analytics, so simply take the code that Google provides and paste it in there. And you&rsquo;re done.</p>

<p>I&rsquo;d also recommend you set up YouTube analytics, as I <a href="http://guerillashowrunner.com/2011/03/how-to-learn-where-your-youtube-viewers-stop-watching-your-videos-when-they-start-where-they-come-from-and-more/">discussed a while ago</a> - but we&rsquo;ll talk more about this in the next installment.</p>

<h2 id="putting-it-all-together">Putting it all together</h2>

<p>So you&rsquo;ve downloaded, bought, or otherwise aquired all that lot - how do you get it going?</p>

<p>Here&rsquo;s a quick runthrough. I don&rsquo;t have the space to go into massive detail, but hopefully this should get you started.</p>

<ol>
<li><p>Sign up for webhosting. Get the domain name of your choice at the same time.</p></li>

<li><p>Create your first site on your webhost, using your host&rsquo;s control panel (should be fairly self-explanatory)</p></li>

<li><p>If needed, request a MySQL (database) process to be started for your site (Sounds a bit yikes, but don&rsquo;t worry - your host&rsquo;s control panel will have options for this if needed)</p></li>

<li><p>Create a new database for your Wordpress install through your host&rsquo;s control panel - call it whatever you like.</p></li>

<li><p>Create a user for that database. Write the database name, username and password down.</p></li>

<li><p>Download an SFTP program (<a href="https://winscp.net">WinSCP</a> for Windows, <a href="http://www.guerillashowrunner.com/tags/goals/cyberduck.ch">Cyberduck</a> for Mac.</p></li>

<li><p>Use the username, password and host provided by your webhosts to log into your site via SFTP, and upload everything in the Wordpress .zip file to the root directory.</p></li>

<li><p>Get a cup of tea.</p></li>

<li><p>Upload everything from the Thesis .zip into the wp_content/themes directory, and everything from all your plugin .zips to the wp_content/plugins directory.</p></li>

<li><p>Using a Web browser, go to the temporary web address for your site, or the permanent one if it&rsquo;s available.</p></li>

<li><p>Follow the instructions onscreen! If it tells you to change permissions, you can do that by navigating to the file or folder in your SFTP program, right-clicking on the file or folder, and selecting &ldquo;Permissions&rdquo;</p></li>

<li><p>Log into your new Wordpress installation!</p></li>

<li><p>Go to the &ldquo;Plugins&rdquo; directory, activate all the plugins, and check their settings pages through the &ldquo;settings&rdquo; panel. Make sure they&rsquo;re all listed as working - if there&rsquo;s no big red box saying &ldquo;It&rsquo;s all gone wrong!&rdquo; in their settings page, they&rsquo;re working. Again, change permissions if you need to.</p></li>

<li><p>Go to &ldquo;Appearance&rdquo;, select &ldquo;Themes&rdquo;, and select the Thesis theme.</p></li>

<li><p>Sign up to Analytics, get the code, and install it in the &ldquo;Stat and Tracking Scripts&rdquo; box in the Thesis theme.</p></li>
</ol>

<p>And you&rsquo;re all set, and ready to start customising your new website! (You&rsquo;ll add in the mailing list once you start doing this!)</p>

<p><em>In the third part of this series: Designing your site. Do you need to hire a designer? Logos, integrating your mailing list, achieving your goals, and custom code to make Thesis do what you need.</em></p>

<p>**What I’d like you to do now: if you found this article useful, please click the retweet button below to share it with others. And let me know if you have any additional Website tips or have had any problems in the comments below! **</p>
  <a href='../2011/04/the-complete-guide-to-setting-up-your-webseries-webpage-part-2/index.html'>Read more →</a>
</article> 




<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="../2011/04/the-complete-guide-to-setting-up-your-web-series-webpage-part-1/index.html">The complete guide to setting up your web series&rsquo; webpage, Part 1</a></h2>
    <p class="blog-post-meta"><time datetime="2011-04-01T16:15:05Z">Fri Apr 1, 2011</time> by admin in 
<i class="fa fa-folder" aria-hidden="true"></i>&nbsp;<a href="../categories/hard-information.html" rel="category tag">Hard Information</a>


<i class="fa fa-tag" aria-hidden="true"></i>&nbsp;<a href="design.html" rel="tag">design</a>, <a href="goals.html" rel="tag">goals</a>, <a href="hosting.html" rel="tag">hosting</a>, <a href="seo.html" rel="tag">seo</a>, <a href="website.html" rel="tag">website</a>, <a href="wordpress.html" rel="tag">wordpress</a>

</p>
  </header>
  <p>Other parts of this series : <a href="http://guerillashowrunner.com/how-to-webpage/">The Complete Guide to Setting Up Your Webseries Webpage</a></p>

<p>I&rsquo;ve seen a fair number of people on Web Series Chat on Twitter and elsewhere asking about setting up a website for your web series - how to do it, what to use, what hosts are good, and so on.</p>

<p>I&rsquo;ve been making websites - mostly for Web series - for 16 years now. There are a lot of choices and options out there, but if you choose the right ones, 2011 is about the best year yet to quickly set up something powerful, flexible and usable that major corporations would have killed for back in 2002.</p>

<p>So, here we go with a complete guide to setting up a site for a web series as quickly and painlessly as possible. I&rsquo;ll go through the software and hardware you need to make it work, talk about a couple of common customisations, let you know what you need and don&rsquo;t need, and discuss the goals of the entire thing in the first place!</p>

<p></p>

<p>Oh, one thing. I said that the site would be quick and painless - I didn&rsquo;t mention cost. From my experience, you&rsquo;re far better NOT trying to minimise your costs below a certain level. You can produce a surprisingly sophisticated website for a sum which a lot of people would consider ridiculously small, but there comes a point where trying to make your site for free will really hurt in the long term. I&rsquo;ve tried both ways.</p>

<h2 id="goals-for-a-site">Goals for a site</h2>

<p>So what does your site need to do?</p>

<p>One of the things that makes almost any website, and particularly a show site, tricky to design is that it&rsquo;s actually for two audiences: returning viewers who want to find the new content quickly, and new visitors who want to find out what the show&rsquo;s about.</p>

<p>I&rsquo;ve written about <a href="http://guerillashowrunner.com/2011/02/why-a-good-porn-site-makes-our-web-show-pages-look-like-amateurish-crap/">taking cues for web design from other industries</a> before, so I&rsquo;m not going to go into the design of the thing here to any great degree. However, one of the most common mistakes that even experienced Web businesses make is to start designing before you&rsquo;ve figured out what your design&rsquo;s supposed to do.</p>

<p>So - what you need your design to do is two-fold. For new visitors, it needs to:</p>

<ul>
<li><p>Tell them what the show is and why they might want to watch it - either with words or pictures. Importantly, you&rsquo;re not aiming to sell the show to everyone here - instead, you want your target market to find out that this is the show for them as fast and convincingly as possible. If a visitor isn&rsquo;t in the target market, you don&rsquo;t really care about their reaction.</p></li>

<li><p>Direct them to watch the show in the order that will make the best sense, with as little effort and confusion on their part as possible. That might be most recent episode first, or it might be first episode first, or it might not matter.</p></li>

<li><p>If they enjoyed your show, persuade them to sign up to some form of subscription or other ongoing contact with your show as effectively as possible.</p></li>
</ul>

<p>Meanwhile, for existing visitors, it needs to:</p>

<ul>
<li><p>Promote your new content so that they can easily find it</p></li>

<li><p>Allow them to navigate through old content easily and logically.</p></li>
</ul>

<p>Your website PROBABLY (but not definitely) also needs to:</p>

<ul>
<li><p>Help and encourage viewers to share your content and tell their friends, enemies, and Facebook readers about it.</p></li>

<li><p>Make it easy and fun for your viewers to interact with you and each other, comment on the show, and generally become more involved.</p></li>

<li><p>Make the site easily visible to search engines so that they can drive new traffic to your show.</p></li>
</ul>

<p>(Probably? Yes. You can run a show that doesn&rsquo;t do these things - but that&rsquo;s a subject for another article.)</p>

<p>So, now we know what we need to do, we can design a site appropriately!</p>

<h2 id="what-you-don-t-need-for-your-site">What you don&rsquo;t need for your site</h2>

<p>The Web development world has really matured over the last few years, and a lot of things that used to be the case if you wanted a sophisticated website no longer are.</p>

<p>In particular, blogging platforms and CMS (Content Management Systems) have advanced leaps and bounds. That means that there&rsquo;s one huge thing that you absolutely don&rsquo;t need any more to set a site up from scratch:</p>

<p><strong>You don&rsquo;t need a programmer</strong></p>

<p>I coded the CMS for every series I&rsquo;ve worked on, from Matrix 4x1 through BloodSpell through to Kamikaze Cookery. Nowadays, unless I was doing something very specific, I wouldn&rsquo;t bother.</p>

<p>The Wordpress blogging engine has advanced until it dominates the Internet and provides a solid platform to build 90% of content-centered websites on. There are thousands of plugins to do almost anything you want (and remove some of its more well-known limitations) and highly customisable &ldquo;themes&rdquo; that means the amount of HTML and CSS you need to write is minimal.</p>

<p>You still need to be comfortable with computers - your aged relative who tries to use a mouse as a foot pedal still couldn&rsquo;t do the site setup for you - but you no longer need to be a coder, really, to set up your Web presence.</p>

<p>(Death Knight Love Story&rsquo;s website is hand-coded rather than using Wordpress. I&rsquo;m doing something very specific with that site and whilst I theoretically could use a CMS like Wordpress, I have some rather specific and unusual requirements for the site.</p>

<p>If you have the skills to write code or design a website in a very non-standard way, it&rsquo;s still useful. However, if you&rsquo;re not setting up with the realistic expectation of tens of millions of visitors, you don&rsquo;t need to do the kind of hard-coding I&rsquo;m doing there.)</p>

<p>Other things you don&rsquo;t need:</p>

<ul>
<li><p>You don&rsquo;t need a super-expensive hosting package. It won&rsquo;t hurt, but the cheapest web hosting setup from a reputable host should be able to handle a pretty solid amount of traffic, enough to cope with a mention in a major news outlet or similar.</p></li>

<li><p>You don&rsquo;t need &ldquo;one-click&rdquo; Wordpress installation. Various hosting providers offer it, and I initially assumed you&rsquo;d need it when I researched this article, but in actual fact the Wordpress installation is simple enough that anyone can do it on virtually any platform.</p></li>

<li><p>You don&rsquo;t need to install a lot of WordPress plugins. In fact, I&rsquo;d heartily recommend you avoid doing so. Wordpress plugins can easily make a site much, much slower to load - I can&rsquo;t count the number of times I&rsquo;ve traced a speed problem on a WP site to a single rogue plugin calling something huge from an overstretched remote address. In particular, I&rsquo;d suggest you avoid the Facebook Like plugin unless you really have to - it kinda sucks.</p></li>

<li><p>You don&rsquo;t need to be able to use Linux. The Web hosts I recommend will all be running your webspace on Linux, rather than Windows or Mac OS X, and that might sound pretty scary. However, unless you want to get into the nitty-gritty of server administration, you can rely on your webhost for pretty much anything Linuxey - indeed, a lot of hosts would prefer you did. (Sometimes <strong>my</strong> long-suffering webhosts, the astonishingly cool <a href="http://www.bytemark.co.uk">Bytemark</a> would probably prefer I did too, but hey, they foolishly sold me a dedicated server&hellip;)</p></li>
</ul>

<h2 id="what-you-need-for-your-site">What you need for your site</h2>

<p>For the installation I&rsquo;m going to suggest, you need a Web server, a mailing list server, an installation of Wordpress, a bunch of plugins to fix problems, and that&rsquo;s about it.</p>

<p><strong>Engine: Wordpress</strong>: The old-school approach to a website was to code everything up in raw HTML - the markup language of the Web. Sites designed like that were difficult to update, and didn&rsquo;t offer any kind of interaction - even commenting. From our &ldquo;goals&rdquo; point of view, a raw HTML site requires a lot of work to fulfil any of them.</p>

<p>That&rsquo;s why these days most sites are built on a coded Content Management System, or CMS. Using a CMS, you can add whatever you like - text blogs, videos, etc - and the server will convert that into HTML for other web users to view. If you change something, it&rsquo;ll change it across all pages. And, of course, it means that other people can add content too - like comments!</p>

<p>There are a lot of CMSes out there, and they all have their rabid fans, but realistically for a non-technical setup, and one that isn&rsquo;t going to take too much time, <a href="https://www.wordpress.org">Wordpress</a> is by far your best alternative. It&rsquo;s sensationally easy to get going - they tout a &ldquo;5-minute installation&rdquo;, and in terms of hands-on time, it&rsquo;s probably less - even for a non-technical user. You download the Wordpress program, use SFTP to send it to your host (sounds complicated, but it&rsquo;s basically drag-and-drop like moving files in Explorer or Finder), use your web host&rsquo;s interface to set up a database (again, sounds scary, but all you&rsquo;ll have to do is choose a name, username and password for the database and it&rsquo;ll be done automatically), fill in the fields you just chose on another web form, change a couple of &ldquo;permissions&rdquo; via SFTP (by clicking some clickyboxes) and bam - working Wordpress.</p>

<p>Wordpress is also very customisable, and even better, has an awful lot of people doing the customisation for you. It&rsquo;s been developed for 5 or 6 years in a real-world, big-companies-and-sites-actually-using-it environment, so its design is very well-focussed on what you&rsquo;ll actually want and need, and it&rsquo;s very simple to use. It&rsquo;s also free and Open-Source, which is a bloody good start.</p>

<p>Wordpress is intended as a blogging platform, but a blogging platform has most of the same features you&rsquo;ll need for your web series. It&rsquo;s focussed toward getting people to subscribe, having an easily navigable archive of content, and allowing people to interact with you after viewing your content - in other words, it meets most of our goals out of the box. You&rsquo;ll be embedding video rather than writing text, but other than that, what you&rsquo;re doing as a Web Series creator is almost exactly what it&rsquo;s designed for.</p>

<p>Other CMSes like Drupal are harder to configure and have less available options. They&rsquo;re powerful and they have their fans, but all else being equal, avoid.</p>

<p>Of course, as a final option, you could create the site from scratch using pure HTML (web markup) or write your own CMS. Even if you have the skills to do this, I wouldn&rsquo;t advise it. I&rsquo;ve done both and I&rsquo;d advise you to avoid both unless you have a very specific reason you want to do that. Pure HTML sites are a pain to update and have limited interactivity, and it&rsquo;ll take a LONG time to code something with the same level of functionality as Wordpress - I know, I&rsquo;ve tried.</p>

<p><strong>Subscription Engine: Mailchimp or Feedburner</strong> As per our goals, you&rsquo;ll want something to alert your viewers when a new episode comes out, and you want as many as possible of them to subscribe to it. There are basically two options here: either RSS or an email list.</p>

<p>In &ldquo;Get Crazed Stalkers&rdquo;, I advise you to use an email list if at all possible. That&rsquo;s because nearly a decade of research suggests that the response rate to email is far, far, far higher than it is to an RSS feed, Twitter, Facebook, or anything else. Email is a &ldquo;push&rdquo; medium - your reminder about the latest episode turns up in your viewers&rsquo; inbox without them having to take any action, as opposed to RSS, where they&rsquo;ll have to remember to check their reader and actually click on your feed, or even worse Twitter, where you&rsquo;re chancing they&rsquo;ll see your message before it gets buried by some crap from Charlie Sheen or Stephen Fry&rsquo;s latest news about his sandwich.</p>

<p>Don&rsquo;t get me wrong - you should probably use Twitter too. But for notifying your loyal followers that Something Awesome This Way Comes (your new episode), you probably want to use an email list.</p>

<p>I&rsquo;ve tried a few different email list providers, and the one I&rsquo;m most impressed with is <a href="https://www.mailchimp.com">Mailchimp</a> - it&rsquo;s free for lists of under 2,000 people (which will include yours, in all probability), it&rsquo;s very powerful, it tries very hard to be user-friendly (arguably a bit too hard - I get fed up with their design interface - but there&rsquo;s loads of help available too) and it handles all the gubbins of getting double-opt-ins and so on without you having to faff around with it.</p>

<p>If you&rsquo;re not comfortable with an email list or think that your audience would prefer RSS (or are just feeling a bit lazy), you&rsquo;ll want to run your RSS feed through <a href="https://www.feedburner.com">Feedburner</a>. It&rsquo;s a startup that was bought by Google, and aims to give you some kind of data and intelligence on how your feed&rsquo;s doing. Most simply and notably, it&rsquo;ll tell you roughly how many people are subscribed to your feed, and also it will tell Google Analytics how many of them clicked on your latest episode. Analytics and the ability to tell what&rsquo;s actually happening are vital - grab it.</p>

<p><strong>Hosting Provider - Dreamhost or NearlyFreeSpeech.net</strong> Oh, god, the eternal &ldquo;where should we host this?&rdquo; question. Sadly, it appears from some reading around that whilst I personally haven&rsquo;t had any hosting problems in years (the years I&rsquo;ve been with my current host - Not A Coincidence), the endless hassles of bad, absent, permanently down or clueless webhosting are still very much with us.</p>

<p>Fortunately, there are some superb hosts out there. The very best of the best aren&rsquo;t really accessible to anyone without hardcore knowledge - much as I&rsquo;d like to recommend <a href="http://www.bytemark.co.uk">Bytemark</a>, <a href="http://www.slicehost.com">Slicehost</a>, or even Amazon EC2, they&rsquo;re overkill for a web series and not usable if you&rsquo;re not competent with Linux server administration. (If you ARE - Bytemark in the UK or Slicehost in the US, done, that&rsquo;s it, move along.)</p>

<p>The collective brains of <a href="https://www.reddit.com">Reddit</a> and <a href="https://news.ycombinator.com">Hacker News</a>, two of the most knowledgable and largest communities on the &lsquo;net, mention a lot of lower-end hosts, but two names keep cropping up: Dreamhost and NearlyFreeSpeech.net. I&rsquo;ve also used both, and I can attest that they&rsquo;re excellent.</p>

<p><a href="https://www.nearlyfreespeech.net">NearlyFreeSpeech.net</a> are, as the name suggests, also very very cheap. They charge $.03 per day for basic services like a database and Web availability, and beyond that only charge for bandwidth and disk space used. $1 gets you 100 Mb storage space a month, which is probably a lot more than you&rsquo;ll need. Meanwhile, bandwidth costs a dollar per gigabyte used. To give you an idea of how far that goes - the BloodSpell site serves up about 100k of data for each page view. Assuming two page views per visitor and 5,000 visitors per month (approximately 1k per episode if you&rsquo;re releasing weekly), that&rsquo;d mean you would end up paying&hellip; $1 per month for bandwidth. Ten times as much and you&rsquo;ll pay $10 per month.</p>

<p>Obviously, if you have a large traffic spike, you&rsquo;ll pay a bit more - but there are very few sites on the internet, speaking from personal experience, that will drive more than 20k visitors to your site, meaning an additional $4 charge or so.</p>

<p>NearlyFreeSpeech have an excellent reputation in almost all other areas. They have been around for nearly a decade, and have a large and loyal following. They&rsquo;re unusually stable for a shared hosting service - you&rsquo;ll probably not see much downtime if any. And everything they offer is extremely technically solid.</p>

<p>Their only downside is that they&rsquo;re not the friendliest of outfits. They pitch themselves at the slightly more expert user, and there are quite a few reports of unfriendly customer service, particularly to somewhat less technically-inclined customers. As one user online said, &ldquo;if their support tells you what is wrong and you don&rsquo;t understand what they are saying, it is up to you to go research what the terminology means and do your level best to figure it out&rdquo;.</p>

<p>If you&rsquo;re looking for great customer service or you&rsquo;re worried that your bandwidth bills will mount up, you might want to consider <a href="https://www.dreamhost.com/r.cgi?1123430">Dreamhost</a> instead.</p>

<p>Like NFS.net, Dreamhost have been around for forever and a week. I used them back in 2006 and they weren&rsquo;t newbies then. Their selling feature has long been a promise of &ldquo;unlimited&rdquo; bandwidth - which, I&rsquo;d have to say, was in my experience fairly accurate. I was using them to host video files, and probably transferred terabytes of data from them - without a peep of complaint. A lot of web hosts claim unlimited bandwidth but don&rsquo;t deliver - Dreamhost will, in all likelihood, provide you with more bandwidth than you can use.</p>

<p>They also pride themselves on user-friendliness, and are very well-set-up to assist less technically able users. I&rsquo;ve personally had excellent technical support interactions with them, including a billing dispute that they refunded without any problems. They also operate a number of &ldquo;one-click install&rdquo; systems - I&rsquo;ve not tried them, and as mentioned above, you don&rsquo;t need them, but the ease-of-use of installing Wordpress with a single click is a pretty cool feature.</p>

<p>Downsides? Well, they&rsquo;re not super-cheap, at around $10 per month. And a lot of users complain about downtime or occasional slow service with their services - I&rsquo;ve seen a few problems in that direction myself. You&rsquo;re unlikely to see days of outage, but the occasional couple of hours is a possibility - they certainly have a worse reputation for stability than NearlyFreeSpeech.</p>

<p>It&rsquo;s also worth noting that there are a lot of negative reviews of them on some websites. Reading between the lines, and looking at the fact that they&rsquo;re mostly complaining about their sites being taken down, I strongly suspect that many of these disputes were due to the complainers using seriously dubious &ldquo;black-hat&rdquo; search engine optimisation techniques, spamming, or other stuff that any host is likely to clamp down on.</p>

<p>In summary - if you&rsquo;re likely to start small and you&rsquo;re willing to learn and research a bit, choose NearlyFreeSpeech.net. If you&rsquo;re wanting to go a bit bigger or want a bit more hand-holding, choose DreamHost.</p>

<p>And if the downsides of both of those are too much, read <a href="https://news.ycombinator.com/item?id=1005067">this thread on Hacker News</a> (although ignore the mentions of app hosts like Linode and Heroku) or <a href="https://www.reddit.com/r/AskReddit/comments/85h4p/im_leaving_godaddy_what_web_host_do_you_recommend/">this one on Reddit</a> for other options.</p>

<p>_In Part 2, Next Week: Domain Names, Wordpress plugins and themes (and which ones you DON&rsquo;T need, too), analytics, logos, designs and how to actually install all this stuff! _</p>

<p>**What I&rsquo;d like you to do now: if you found this article useful, please click the retweet button below to share it with others. And let me know if you have any additional Website tips - or problems -  in the comments below! **</p>
  <a href='../2011/04/the-complete-guide-to-setting-up-your-web-series-webpage-part-1/index.html'>Read more →</a>
</article> 




<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="../2011/01/how-to-use-your-goals-to-make-all-your-shows-decisions-easier/index.html">How Your Goals Make All Your Show&rsquo;s Decisions Easier</a></h2>
    <p class="blog-post-meta"><time datetime="2011-01-13T12:33:14Z">Thu Jan 13, 2011</time> by admin in 
<i class="fa fa-folder" aria-hidden="true"></i>&nbsp;<a href="../categories/hard-information.html" rel="category tag">Hard Information</a>


<i class="fa fa-tag" aria-hidden="true"></i>&nbsp;<a href="goals.html" rel="tag">goals</a>, <a href="inner-game.html" rel="tag">inner game</a>, <a href="make-people-watch-your-stuff.html" rel="tag">make people watch your stuff</a>, <a href="marketing.html" rel="tag">marketing</a>

</p>
  </header>
  <p>Ah, Scotland. Land of the cold, dark winter. I&rsquo;m really looking forward to about two months&rsquo; time when it&rsquo;s not dark by 5pm.</p>

<p>Yeah, yeah, I know the Scandinavians in my audience are laughing at me right now.</p>

<p>Anyway.</p>

<p>THEN! (Cue fancy graphics). We talked about <a href="http://guerillashowrunner.com/2011/01/whats-your-goal-for-your-show-probably-not-what-you-think-it-is/">goals, why having some is a good idea, and how to figure out what it is that you actually want out of your show</a>.</p>

<p>NOW!</p>

<p>How you can use the fact that you&rsquo;ve got a goal to actually achieve the damn thing, and be either a) rich, b) happy or c) both.
</p>

<h2 id="a-right-to-do">A Right To-Do</h2>

<p>So, let&rsquo;s take an example. You&rsquo;ve realised that what you really want out of your film is a very, very long comment thread, full of people arguing about and having passionate opinions about the series.</p>

<p>Now, what you do is attempt to work backward from that outcome. What would cause that?</p>

<p>Well, for starters, they&rsquo;ll need something to argue about. What? Is there something in your film that would cause them to disagree?</p>

<p>Chances are there is, actually. Your subconcious has been building the show with your desired goal in mind all along. However, it&rsquo;s probably buried because you didn&rsquo;t realise how important it was. In my first ever series, Eschaton, I really wanted people to debate and find the hidden corners of the world, but I didn&rsquo;t really realise that conciously, and so I didn&rsquo;t build the breadcrumbs that would lead people into the mysteries - they were in there, but only people who were really looking would find them. Instead, I spent lots of time writing stuff I thought was important, but was actually distracting from the main points of the show - too much character drama, for starters. You need to find the core thing or things that would cause your audience to argue, debate and analyse, and bring that to the fore.</p>

<p>So, Where in your series are you visualising a viewer stopping and going to the YouTube comment page to go &ldquo;I totally think that the birds are actually a symbol!&rdquo; ? You&rsquo;ll probably find you don&rsquo;t have any specific times, and you&rsquo;re probably underplaying a fair bit. Time to bring that out and up.</p>

<p>Now you know the result you&rsquo;re looking for, you can also look at other shows that actually achieved that result. What you&rsquo;ll find will probably hark back to what you&rsquo;ve already discovered you&rsquo;re not playing up enough. Twin Peaks, for example, wasn&rsquo;t subtle about its wierdness at all - strange rooms, wierd unexplained backward talking, and the entire thing&rsquo;s built around a mystery. That&rsquo;s what got people arguing about the series and its interpretation. You need to signal people what sort of show this is - something that you can do now you know yourself!</p>

<p>So now you can go to the next episode that you&rsquo;ve got in the pipeline and start making changes to head in the direction you want to go. You don&rsquo;t have to be real subtle about this - JJ Abrams pulled a complete U-turn in the middle of the second season of Alias when he decided he wanted a more straight-up spy show, resolving the entire plot in an episode and starting off the new one. Provided you have some idea of what your existing viewers, or at least the ones you want to keep, are enjoying, you can balance those needs with the needs of the new idea you have for the series.</p>

<h2 id="pushing-the-series-you-want-to-push">Pushing The Series You Want To Push</h2>

<p>Even more importantly, once you know what you want to happen you can start designing all of your publicity efforts to get you the kind of attention you want.</p>

<p>Going back to the &ldquo;I want a long comment thread with lots of people arguing&rdquo; example, once you know that&rsquo;s what you want, you can focus all your publicity efforts on persuading people to comment. You can start by actually asking people to comment at the end of each episode! (As opposed, say, to a series where you wanted maximum views, where you&rsquo;d want to say &ldquo;tell your friends&rdquo; instead).</p>

<p>You can make sure to encourage the mystery in your own replies. Don&rsquo;t be clear with your replies. Ask leading questions. Give out hints every so often. Say things that encourage people to say &ldquo;But that means&hellip;?&rdquo;. Ask people what THEY think is happening, a lot.</p>

<p>This carries over to the press you&rsquo;re doing, too. (You ARE contacting the press, right?). You now know what adjectives to use when describing your series - &ldquo;Mysterious&rdquo;, &ldquo;intriguing&rdquo;, &ldquo;argument-causing&rdquo;. Mention not that you&rsquo;ve got 50,000 visitors, but that your last episode had over 5 pages of comments &ldquo;fiercely debating&rdquo; what was going on. Don&rsquo;t structure your call to action as &ldquo;Come and watch the film&rdquo;, use something like &ldquo;Can you decypher the mystery?&rdquo;.</p>

<p>You can even use the outcome you want to find new places to publicise your show. If you have suddenly realised that you want to make a show that gets people investigating and arguing, you&rsquo;ve suddenly got a new audience: those guys. Alternate Reality Game (ARG) communities, for example, love mysteries and discussion about said. Your action-supernatural series might not have had anything to offer them, but your breadcrumb-filled action-supernatural mystery series where you drop hints about what&rsquo;s going on all over your website and your audience busily pieces them together - yep, now the ARG guys might be interested.</p>

<p>Finally, you can now TELL how well you&rsquo;re doing with the series. You know when you&rsquo;ve got a win. You can use that to make yourself feel good about the series (don&rsquo;t underestimate that - being able to know when you&rsquo;ve got a win is vital for your own stick-at-it-ness) and also to test anything you&rsquo;re doing. 20 new comments the day after you advertised on a specific webcomic? Keep that shit up. Introduced a new character and got bugger-all aside from one guy saying &ldquo;she&rsquo;s kinda hot&rdquo;, even if your views went up? Ditch her or make her more interesting, stat.</p>

<p>For BloodSpell, I knew that one of my goals was to have the film version critically acclaimed as compared against actual cinema films. That meant I spent a lot of time contacting &ldquo;real&rdquo; film websites and magazines. And let me tell you, it was a happy day when we were favourably reviewed in the same issue of Dreamwatch as Stardust and Beowulf.</p>

<h2 id="it-works-no-matter-what-your-goal-is">It Works No Matter What Your Goal Is</h2>

<p>You want raw views, and lots of them? Then you need to optimise your show for &ldquo;tell your friends&rdquo; viral power, make sure to tell your viewers to tell everyone they know about it, and do press and advertising based on raw pulling power (don&rsquo;t worry too much about whether the incoming clicks are completely right for the show), whilst desiging the plot or programme to be as broad-web-interest and at the same time as remarkable as possible. Look at &ldquo;Will It Blend&rdquo;, &ldquo;Lost&rdquo;, and &ldquo;Doctor Who&rdquo; as examples.</p>

<p>You want people to tell you that your show has moved them, changed them, perhaps even saved their lives? Then you need to be looking at emotions and catharsis. Watchphrase one: &ldquo;How does it make us feel?&rdquo; Find a group of people you think you can give an emotional experience they really want or need, and go for it. (Note: the second module of <a href="http://guerillashowrunner.com/crazed-stalkers-free/">Get Crazed Stalkers</a>, the upcoming free video course, goes into this sort of thing in a lot of detail).</p>

<p>You want lots of real-world, dead-tree press? Then you need to be thinking about what press you want to hit, and what Webby stuff they tend to cover. Why would they want to tell their readers about you? How can you give them a story so cool they can&rsquo;t pass it up? You&rsquo;ll need something remarkable and relevant. Spend lots of time on your press releases and on the actual phone to actual journalists.</p>

<p>No matter what you want, you can design your show to achieve that. You just need to know what it is that you want first.</p>

<p>Have at it.</p>

<p>_ If you found those tips useful, <a href="https://feeds.feedburner.com/GuerillaShowrunner">subscribe to Guerilla Showrunner</a>! I&rsquo;m writing new articles on how to make your show awesome at least once a week - make sure you don&rsquo;t miss &lsquo;em.</p>
  <a href='../2011/01/how-to-use-your-goals-to-make-all-your-shows-decisions-easier/index.html'>Read more →</a>
</article> 




<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="../2011/01/whats-your-goal-for-your-show-probably-not-what-you-think-it-is/index.html">What&rsquo;s Your Goal For Your Show? Probably Not What You Think It Is.</a></h2>
    <p class="blog-post-meta"><time datetime="2011-01-07T17:59:00Z">Fri Jan 7, 2011</time> by admin in 
<i class="fa fa-folder" aria-hidden="true"></i>&nbsp;<a href="../categories/hard-information.html" rel="category tag">Hard Information</a>


<i class="fa fa-tag" aria-hidden="true"></i>&nbsp;<a href="goals.html" rel="tag">goals</a>, <a href="inner-game.html" rel="tag">inner game</a>, <a href="marketing.html" rel="tag">marketing</a>, <a href="setup.html" rel="tag">setup</a>

</p>
  </header>
  <p>It&rsquo;s the goals post!</p>

<p>Well, OK. It&rsquo;s the first goals post, of, I suspect, many. Goals are part of what the micro-ISV/Internet Marketing/Making Shit And Selling It For Money crowd call &ldquo;inner game&rdquo; - getting your head right so that you point in the &ldquo;be embarassingly rich and successful&rdquo; direction rather than the &ldquo;I coulda beena contender; pass the bottle of meths&rdquo; direction.</p>

<p>But hold on a minute. Don&rsquo;t we all have the same goal? I mean, basically, it&rsquo;s &ldquo;Make A Great Show&rdquo;, right?</p>

<p>Well, no. Even if you think it is, chances are that actually isn&rsquo;t your goal, and if you persist in thinking it is, you&rsquo;re going to end up really unhappy with your show.</p>

<p></p>

<h2 id="what-do-you-mean-by-good">What do you mean by &ldquo;Good&rdquo;?</h2>

<p>&ldquo;All I care about is that the show&rsquo;s really good. If it&rsquo;s really good everything else will take care of itself.&rdquo;</p>

<p>The first rule of any goal is that it has to be measurable. You have to be able to tell when you&rsquo;ve reached the goal.</p>

<p>If you&rsquo;re saying &ldquo;I&rsquo;m going to make a really good show&rdquo;, and you can&rsquo;t tell when you&rsquo;ve made one, you&rsquo;re going to fail automatically. That&rsquo;s a really good way to a) not improve, and more importantly, b) not be happy.</p>

<p>Now, you might say that it&rsquo;s good when you think it&rsquo;s good. And that&rsquo;s really cool. I&rsquo;ve got a lot of respect for self-expression.</p>

<p>Except - were you planning on releasing it?</p>

<p>If so, I don&rsquo;t believe &ldquo;Make A Show I Think Is Awesome&rdquo; is actually all you want to do.</p>

<p>If it&rsquo;s being created solely for an audience of one person - you - why are you bothering to release it? I mean, releasing a show&rsquo;s a lot of work, even after it&rsquo;s finished. If you&rsquo;re planning to release your show to the Wider Public, you want something out of releasing it.</p>

<p>What&rsquo;s that thing?</p>

<p>The thing that you want to happen when you release your film to the baying crowds: that&rsquo;s your goal. That&rsquo;s what you want. That&rsquo;s why you&rsquo;re doing this - because some part of your brain is visualising an outcome that it reckons will make you happy.</p>

<p>It****&rsquo;s probably right.</p>

<h2 id="why-you-need-to-get-your-subconcious-to-tell-you-what-you-want">Why you need to get your subconcious to tell you what you want</h2>

<p>So yeah, you want something to happen when you release. But what?</p>

<p>One person&rsquo;s visualisation of success is very different to another&rsquo;s. Maybe you visualise <strong>huge</strong> YouTube numbers. Maybe you&rsquo;re imagining long, erudite discussions of your film&rsquo;s content and meaning. Perhaps you&rsquo;re thinking of tearful comments about how your film&rsquo;s changed someone&rsquo;s life, or a 42-page thread on /b/ filled with lolPorn inspired by your series.</p>

<p>Or maybe you&rsquo;re thinking about a studio guy with a big cheque.</p>

<p>None of them are the &ldquo;wrong&rdquo; sort of success to want. Success is what makes you happy. But all of them require different strategies to get to them. And until you know what you want, you can&rsquo;t plan how to get there.</p>

<p>( Incidentally, it&rsquo;s worth checking that you&rsquo;re not telling yourself you want one kind of success when actually you want another. Perhaps you think success &ldquo;should be&rdquo; 10,000,000 YouTube views, but actually you want approving comments from pretty women. That&rsquo;s kinda important. And yes, there are strategies to get that!)</p>

<p>If you don&rsquo;t have a clear picture of what you&rsquo;re wanting, you&rsquo;ll be unfocussed in your design. You&rsquo;ll not know which audience you want to appeal to, so you&rsquo;ll try to appeal to multiple, probably contradictory audiences, or even worse, &ldquo;everyone&rdquo;.</p>

<p>You&rsquo;ll not know what the end-game of your marketing is, so your publicity will be unfocussed or unenthusiasic - or, if you&rsquo;re still trying to tell yourself that nothing matters but you liking your show, you won&rsquo;t do any. And then you&rsquo;ll be sat there wondering why you don&rsquo;t feel like your film&rsquo;s release has lived up to expectations.</p>

<p>So, here&rsquo;s my suggestion for how to spend an hour this evening, no matter what stage of creating your show you&rsquo;re at. Sit down with a nice beverage, alcoholic or otherwise, and really think about what &ldquo;success&rdquo; means to you, for your show. Visualise the day when you can definitely say &ldquo;<strong>Yep, the show&rsquo;s definitely worked</strong>&rdquo;.</p>

<p>Picture yourself sitting down at the PC, or going out to the office, or however you&rsquo;d start your day. Picture what would tell you that you&rsquo;d achieved success. Your comments? Your email? A phonecall? Picture who&rsquo;s saying things, and what they&rsquo;re saying. Newspapers featuring you as the guy who has the most popular video on YouTube? A literature professor emailing you to say he&rsquo;s using your work to teach his students?</p>

<p>(I&rsquo;ve had the latter one. It&rsquo;s pretty cool.)</p>

<p>And once you&rsquo;ve really thoroughly explored what it is you want, write it down.</p>

<p>Now you know where you&rsquo;re going, you can start to figure out how to get there.</p>

<p><em><a href="https://feeds.feedburner.com/GuerillaShowrunner">Subscribe to Guerilla Showrunner </a>- by email or RSS - to make sure you don&rsquo;t miss the next part of the series, where I&rsquo;ll be talking about how to use your goal to make your series better. Oh, and have you checked out my upcoming free video course on <a href="http://guerillashowrunner.com/crazed-stalkers-free/">turning your viewers into obsessed fans</a>? It&rsquo;s going to be pretty cool.</em></p>
  <a href='../2011/01/whats-your-goal-for-your-show-probably-not-what-you-think-it-is/index.html'>Read more →</a>
</article> 




<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="../2010/11/big-scary-plan/index.html">Why You Don&rsquo;t Need A Big Scary Plan</a></h2>
    <p class="blog-post-meta"><time datetime="2010-11-24T18:17:02Z">Wed Nov 24, 2010</time> by admin in 
<i class="fa fa-folder" aria-hidden="true"></i>&nbsp;<a href="../categories/hard-information.html" rel="category tag">Hard Information</a>


<i class="fa fa-tag" aria-hidden="true"></i>&nbsp;<a href="goals.html" rel="tag">goals</a>, <a href="making-the-show.html" rel="tag">making the show</a>, <a href="productivity.html" rel="tag">productivity</a>, <a href="todo.html" rel="tag">todo</a>

</p>
  </header>
  <p>Gantt charts.</p>

<p>You&rsquo;ve heard of them, right?</p>

<p>Enormous great wall-planner things, listing every single thing that you&rsquo;ve got to do on your Masterwork Project, all with neat time schedules, and lists of what depends on what, and colour coding that Means Important Stuff, and&hellip;</p>

<p>Aii. My head hurts just thinking about it.</p>

<p>Do you spend a lot of time feeling guilty about not having a Big Master Plan for your series?</p>

<p>Not having Everything You Need To Do carefully mapped out and controlled? Did you try having one, but felt like you spent all your time updating it?</p>

<p></p>

<p>I&rsquo;ve spent a lot of time fiddling around with everything from Agile Development to Big-Ass Gantt Charts for planning and managing my guerilla shows.</p>

<p>The conclusion I came to at the end of the day?</p>

<p>You just don&rsquo;t need to know everything you think you need to know.</p>

<p>(But you do need to know some other things.)</p>

<h2 id="how-to-project-plan-in-10-minutes-with-time-for-coffee">How to project plan in 10 minutes with time for coffee</h2>

<p>When I&rsquo;m planning, I&rsquo;ve generally got about 3 things on my to-do list. Not 65, not 247, not 6 on my @RightTheFuckNow list, with another 25 on my @ComputerIfI&rsquo;mNotSurfingPorn list and 435 on my @TheWholeRestOfTheWorldAarghDaylight list.</p>

<p>(Yeah, I tried Getting Things Done. It works, but man, you spend a lot of time on the Getting and not so much on the Doing).</p>

<p>So how does that work? Well, I look at the current series project, and figure out the thing that I need to do next that will most help the project and will take about 2-3 hours. If I&rsquo;m planning tasks larger than that, I&rsquo;m thinking too large.</p>

<p>Don&rsquo;t write &ldquo;Edit entire episode&rdquo;, unless your episode&rsquo;s 2 minutes long. If it&rsquo;s 15 minutes, write &ldquo;Edit Scene 1&rdquo; instead.</p>

<p>Then I figure out the thing after that. Stick them both on your to-do list.</p>

<p>The trick here, of course, is to figure out what the thing that will <strong>most</strong> help your project is. Normally I&rsquo;ll think about 5 or 10 potential things I could do next (Choose music? Re-edit? Colour grade? Call musicians? Take some lightbox shots?), then stop for a sec.</p>

<p>I have a drink of coffee, and ask if there&rsquo;s any way I can avoid doing each of them, and what will happen if I do.</p>

<p>Choose music? Any way I can get someone else to do that? Or just get a musician in? Colour grade? What&rsquo;ll the episode look like if I don&rsquo;t?</p>

<p>Once I&rsquo;ve done that, I just pick the thing that I need to do that will, in my opinion, advance the project the most. Don&rsquo;t sweat this too much - you either know or you don&rsquo;t. If you don&rsquo;t, choose, get it wrong, learn.</p>

<p>Stick it on the to-do list.</p>

<p>Now do the same with the thing after that.</p>

<p>OK, you&rsquo;re done. That&rsquo;s your to-do list. Go do it. When you&rsquo;ve done it, make another one.</p>

<p>(You might notice there&rsquo;s only two items on that list, wheras I said I&rsquo;d generally have 3. That&rsquo;s because I tend to split series up into two sides - marketing and production - and have a to-do list running for both, with one or two items on each.)</p>

<h2 id="the-psychology-of-the-whole-thing">The Psychology Of The Whole Thing</h2>

<p>If your to-do list&rsquo;s longer than you can expect to get done today, from my experience, you&rsquo;re doing it wrong.</p>

<p>The longer your list, the more disheartening it is to see an endless pile of uncompleted tasks. The more time you&rsquo;ll spend sitting there choosing what to work on. The more time you&rsquo;ll spend working on stuff that&rsquo;s easy rather than stuff that&rsquo;s important.</p>

<p>If &ldquo;Call famous actor&rdquo; is item #15 of 47, well, let&rsquo;s be honest. You&rsquo;ll avoid doing that scary task for <strong>months</strong>.</p>

<p>If it&rsquo;s Item #2 and you&rsquo;ve already done #1 - you&rsquo;ve got no other choices. You&rsquo;re doing it. And then you&rsquo;ll feel great afterward.</p>

<p>In addition, humans tend to think we&rsquo;re much better at predicting outcomes than we actually are. Looooooong to-do lists are predicated on the belief that we can predict what our series is going to need two, three, four, twelve weeks in advance. But the fact is that the situation&rsquo;s constantly changing.</p>

<p>What you&rsquo;re going to need for your next episode might totally change next week when you realise that&rsquo;s the episode that&rsquo;s going to get a front-of-YouTube feature if you can get it to them a week earlier than you&rsquo;d planned.</p>

<p>That&rsquo;s how the psychology works. Great, innit?</p>

<h2 id="but-how-don-t-you-drop-stuff">But How Don&rsquo;t You Drop Stuff?</h2>

<p>But surely you&rsquo;ll end up skipping vital things, forgetting to call people back, missing key tasks?</p>

<p>Not really. For starters, unlike something like computer programming, making an audio-visual program&rsquo;s a pretty linear task. There aren&rsquo;t huge numbers of dependencies that will bite you in the ass if you&rsquo;re not constantly chasing them.</p>

<p>But of course there are a few.</p>

<p>So, for starters, I keep a second list alongside my main one, which is a complete list of everything that I&rsquo;m expecting from other people, or they&rsquo;re expecting from me. Direction for my animator, a review for the guy doing a re-edit for me, a reply from the big blogger I&rsquo;m pestering for a feature.</p>

<p>Keep that updated every time anything changes - every time you promise someone something or they promise you something - and refer to it when you&rsquo;re putting your to-do list together.</p>

<p>Second, every month or so it&rsquo;s worth doing a slightly more complete look at your project. Start from your end goal (which I&rsquo;ll talk about in another post - suffice it to say that your end goal is almost never &ldquo;Finish the episode&rdquo;, but is more like &ldquo;Get 150 positive comments on the episode&rdquo;).</p>

<p>Now, work backward and think about the major blocks of work you&rsquo;ll have to do - promotion, uploading, editing, grading, shooting, and so on. For each of them, think about what elements you&rsquo;ll need to have in place in advance, and what delays you could hit. Don&rsquo;t worry about the fine detail, though - just visualise doing it, and then think about stuff that will take time.</p>

<p>For example, when you&rsquo;re promoting you need to think about lead times for magazines and TV programs (months, often), which means you&rsquo;ll need to be contacting them well in advance (and will also need your film finished way before you release it, but that&rsquo;s also a topic for another time).</p>

<p>Go through the lot, and make a list of stuff that needs to get done well in advance for each segment, and roughly how much in advance it&rsquo;ll need to get done.</p>

<p>Keep that with your &ldquo;people who owe me stuff&rdquo; list and, again, refer to it when you put your to-do list together.</p>

<p>But it&rsquo;s not very precise, and you&rsquo;ll drop stuff!</p>

<p>True.</p>

<p>You&rsquo;ll do that if you have a Master To-Do List too.</p>

<p>It&rsquo;s very easy to forget something important in a 100-item list.</p>

<p>And you&rsquo;ll also over-plan - you&rsquo;ll do what I did only last year, for example, and attempt to organise recruitment for actors when, as it turns out, you won&rsquo;t need them for another year because you need to go through another two animatic drafts.</p>

<p>You&rsquo;re going to drop stuff and screw up either way. You&rsquo;re going to end up with delays, confusion, missed stuff - that&rsquo;s the joy of being a producer.</p>

<p>But if you keep everything simple, at least you won&rsquo;t have to update all 1,527 items on your To-Do List every time it happens.</p>

<p>_Did you find this post useful? I&rsquo;ve got more articles on actually Getting The Darn Show Made coming soon - seriously, they&rsquo;re on my To-Do list and everything.  <a href="https://feeds.feedburner.com/GuerillaShowrunner">Add our RSS feed to your feed reader</a> to get &lsquo;em fired straight at you.</p>

<p>To-Do picture by <a href="../cdn-cgi/l/email-protection.html" class="__cf_email__" data-cfemail="a9ddc4dbc8d0999be9efc5c0cac2db87">[email&#160;protected]</a></p>
  <a href='../2010/11/big-scary-plan/index.html'>Read more →</a>
</article> 







        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="goals.html#">Back to top</a>
      </p>
    </footer>
<script data-cfasync="false" src="../cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js"></script><script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
